Bug 1334648 (CVE-2016-4570, CVE-2016-4571) - CVE-2016-4570 CVE-2016-4571 mxml: Stack exhaustion
Summary: CVE-2016-4570 CVE-2016-4571 mxml: Stack exhaustion
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-4570, CVE-2016-4571
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160507,repor...
Depends On: 1334649
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-10 08:45 UTC by Andrej Nemec
Modified: 2019-06-08 21:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:51:33 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-10 08:45:11 UTC
Two stack exhaustion issues based on uncontrolled recursion were found in mxml. A maliciously crafted xml file can cause the application to crash.

CVE-2016-4570:

Recursion using mxmlDelete at mxml-node.c:217 (reproducer is stack-exhaustion-1.xml)

CVE-2016-4571:

Recursion using mxml_write_node at mxml-file.c:2739 (reproducer is stack-exhaustion-2.xml)

References (reproducers available):

http://seclists.org/oss-sec/2016/q2/276

Comment 1 Andrej Nemec 2016-05-10 08:45:32 UTC
Created mxml tracking bugs for this issue:

Affects: fedora-all [bug 1334649]

Comment 3 Fedora Update System 2016-06-18 18:33:37 UTC
mxml-2.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:51:33 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.